Apache Tomcat 7.0.42

## org.apache.catalina
Interface LifecycleListener

All Known Implementing Classes:
  AprLifecycleListener, CometConnectionManagerValve, ContextConfig, EngineConfig, GlobalResourcesLifecycleListener, HeartbeatListener, HostConfig, JasperListener, JmxRemoteLifecycleListener, JreMemoryLeakPreventionListener, MapperListener, NamingContextListener, SecurityListener, SimpleTcpCluster, StandardEngine.AccessLogListener, ThreadLocalLeakPreventionListener, TldConfig, Tomcat.DefaultWebXmlListener, Tomcat.FixContextListener, UserConfig

    public interface LifecycleListener

Interface defining a listener for significant events (including "component start" and "component stop" generated by a component that implements the Lifecycle interface. The listener will be fired after the associated state change has taken place.

Version:
  $Id: LifecycleListener.java 1200160 2011-11-10 05:35:13Z kkolinko $
Author:
  Craig R. McClanahan

Method Summary
`void` `lifecycleEvent(LifecycleEvent event)` Acknowledge the occurrence of the specified event.

Method Detail

### lifecycleEvent

    void lifecycleEvent(LifecycleEvent event)

  Acknowledge the occurrence of the specified event.

  Parameters:
    `event` - LifecycleEvent that has occurred

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.